diff --git a/games/granatier/Makefile b/games/granatier/Makefile
index 5a2dd6c4feca..75986e3a25ab 100644
--- a/games/granatier/Makefile
+++ b/games/granatier/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/granatier/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	attica auth codecs config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n iconthemes itemviews kio \
-		libkdegames newstuff notifyconfig service widgetsaddons xmlgui \
+		dbusaddons guiaddons i18n iconthemes itemviews kio libkdegames \
+		newstuff notifyconfig service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/granatier/distinfo b/games/granatier/distinfo
index 53499e8c5c13..89b2d236c36d 100644
--- a/games/granatier/distinfo
+++ b/games/granatier/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889378
-SHA256 (KDE/release-service/23.08.5/granatier-23.08.5.tar.xz) = f0074a621df9960d62ba0d4b8f817a592f3d02fdd243328549e9a544346729ee
-SIZE (KDE/release-service/23.08.5/granatier-23.08.5.tar.xz) = 2114816
+TIMESTAMP = 1734460118
+SHA256 (KDE/release-service/24.12.0/granatier-24.12.0.tar.xz) = 06a9630f12cff8184e2257d7d260a79ea92879aaee715ae5b7b648d124875af6
+SIZE (KDE/release-service/24.12.0/granatier-24.12.0.tar.xz) = 2014060
diff --git a/games/granatier/pkg-plist b/games/granatier/pkg-plist
index 1b404b745878..f8cb5c0ac8af 100644
--- a/games/granatier/pkg-plist
+++ b/games/granatier/pkg-plist
@@ -114,6 +114,7 @@ share/icons/hicolor/32x32/apps/granatier.png
 share/icons/hicolor/48x48/apps/granatier.png
 share/icons/hicolor/64x64/apps/granatier.png
 share/locale/ar/LC_MESSAGES/granatier.mo
+share/locale/ast/LC_MESSAGES/granatier.mo
 share/locale/bg/LC_MESSAGES/granatier.mo
 share/locale/bs/LC_MESSAGES/granatier.mo
 share/locale/ca/LC_MESSAGES/granatier.mo
@@ -131,8 +132,10 @@ share/locale/fi/LC_MESSAGES/granatier.mo
 share/locale/fr/LC_MESSAGES/granatier.mo
 share/locale/ga/LC_MESSAGES/granatier.mo
 share/locale/gl/LC_MESSAGES/granatier.mo
+share/locale/he/LC_MESSAGES/granatier.mo
 share/locale/hr/LC_MESSAGES/granatier.mo
 share/locale/hu/LC_MESSAGES/granatier.mo
+share/locale/ia/LC_MESSAGES/granatier.mo
 share/locale/id/LC_MESSAGES/granatier.mo
 share/locale/is/LC_MESSAGES/granatier.mo
 share/locale/it/LC_MESSAGES/granatier.mo
@@ -170,4 +173,5 @@ share/locale/uk/LC_MESSAGES/granatier.mo
 share/locale/zh_CN/LC_MESSAGES/granatier.mo
 share/locale/zh_TW/LC_MESSAGES/granatier.mo
 share/metainfo/org.kde.granatier.appdata.xml
-share/qlogging-categories5/granatier.categories
+share/qlogging-categories6/granatier.categories
+share/qlogging-categories6/granatier.renamecategories
diff --git a/games/kanagram/Makefile b/games/kanagram/Makefile
index cf2ef7c4ee10..8a75a1d132b1 100644
--- a/games/kanagram/Makefile
+++ b/games/kanagram/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Letter order game for KDE
 WWW=		https://www.kde.org/applications/education/kanagram
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	attica auth codecs config configwidgets coreaddons crash \
 		doctools i18n kdeclarative kio libkeduvocdocument newstuff \
 		package service sonnet widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network opengl speech svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kanagram/distinfo b/games/kanagram/distinfo
index 391be48b7ea4..3d6ad397fb51 100644
--- a/games/kanagram/distinfo
+++ b/games/kanagram/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889392
-SHA256 (KDE/release-service/23.08.5/kanagram-23.08.5.tar.xz) = 9290fc0b47c347ab31fc2b779894d8d5758806c1e6e0f581b7da4f6094d4c304
-SIZE (KDE/release-service/23.08.5/kanagram-23.08.5.tar.xz) = 8069044
+TIMESTAMP = 1734460120
+SHA256 (KDE/release-service/24.12.0/kanagram-24.12.0.tar.xz) = 3da43cb9a7facf58a0481fcca48a946915a8cb6c9f923fa16a746a63b5cee7ba
+SIZE (KDE/release-service/24.12.0/kanagram-24.12.0.tar.xz) = 7783652
diff --git a/games/kanagram/pkg-plist b/games/kanagram/pkg-plist
index a7b19f818393..3be9058cedf2 100644
--- a/games/kanagram/pkg-plist
+++ b/games/kanagram/pkg-plist
@@ -10,6 +10,7 @@ share/icons/hicolor/64x64/apps/kanagram.png
 share/icons/hicolor/80x80/apps/kanagram-harmattan.png
 share/icons/hicolor/scalable/apps/kanagram.svgz
 %%DATADIR%%/ui/Blackboard.qml
+%%DATADIR%%/ui/IconButton.qml
 %%DATADIR%%/ui/LetterButton.qml
 %%DATADIR%%/ui/icons/1player.png
 %%DATADIR%%/ui/icons/2player.png
@@ -39,6 +40,7 @@ share/icons/hicolor/scalable/apps/kanagram.svgz
 %%DATADIR%%/ui/sounds/wrong.wav
 share/knsrcfiles/kanagram.knsrc
 share/locale/ar/LC_MESSAGES/kanagram.mo
+share/locale/ast/LC_MESSAGES/kanagram.mo
 share/locale/be/LC_MESSAGES/kanagram.mo
 share/locale/bg/LC_MESSAGES/kanagram.mo
 share/locale/bn/LC_MESSAGES/kanagram.mo
@@ -67,6 +69,7 @@ share/locale/hi/LC_MESSAGES/kanagram.mo
 share/locale/hne/LC_MESSAGES/kanagram.mo
 share/locale/hr/LC_MESSAGES/kanagram.mo
 share/locale/hu/LC_MESSAGES/kanagram.mo
+share/locale/ia/LC_MESSAGES/kanagram.mo
 share/locale/id/LC_MESSAGES/kanagram.mo
 share/locale/it/LC_MESSAGES/kanagram.mo
 share/locale/ja/LC_MESSAGES/kanagram.mo
diff --git a/games/kapman/Makefile b/games/kapman/Makefile
index f5437944a650..a61db1d965de 100644
--- a/games/kapman/Makefile
+++ b/games/kapman/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kapman/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
 		dbusaddons i18n libkdegames notifyconfig widgetsaddons \
 		windowsystem xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kapman/distinfo b/games/kapman/distinfo
index ee63819b345b..01b8efff7a19 100644
--- a/games/kapman/distinfo
+++ b/games/kapman/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889395
-SHA256 (KDE/release-service/23.08.5/kapman-23.08.5.tar.xz) = e3755f000532bae7cb41e521d7ac7b9d2cb43eb2b1cf705af1249ba366cea1e7
-SIZE (KDE/release-service/23.08.5/kapman-23.08.5.tar.xz) = 2483488
+TIMESTAMP = 1734460122
+SHA256 (KDE/release-service/24.12.0/kapman-24.12.0.tar.xz) = a8302a270f4dcb42731527a3b6acb797ac8ace6502129e978bf9b96a21c931c0
+SIZE (KDE/release-service/24.12.0/kapman-24.12.0.tar.xz) = 2148180
diff --git a/games/kapman/pkg-plist b/games/kapman/pkg-plist
index c9e01f78c928..aef2aac8a89d 100644
--- a/games/kapman/pkg-plist
+++ b/games/kapman/pkg-plist
@@ -13,7 +13,6 @@ share/icons/hicolor/64x64/apps/kapman.png
 %%DATADIR%%/themes/matches.desktop
 %%DATADIR%%/themes/matches.svgz
 %%DATADIR%%/themes/matches_preview.png
-%%DATADIR%%/themes/mountain.copyright
 %%DATADIR%%/themes/mountain.desktop
 %%DATADIR%%/themes/mountain.svgz
 %%DATADIR%%/themes/mountain_preview.png
@@ -24,6 +23,7 @@ share/icons/hicolor/64x64/apps/kapman.png
 %%DATADIR%%/themes/retro.svgz
 %%DATADIR%%/themes/retro_preview.png
 share/locale/ar/LC_MESSAGES/kapman.mo
+share/locale/ast/LC_MESSAGES/kapman.mo
 share/locale/bg/LC_MESSAGES/kapman.mo
 share/locale/bs/LC_MESSAGES/kapman.mo
 share/locale/ca/LC_MESSAGES/kapman.mo
@@ -42,9 +42,11 @@ share/locale/fr/LC_MESSAGES/kapman.mo
 share/locale/ga/LC_MESSAGES/kapman.mo
 share/locale/gl/LC_MESSAGES/kapman.mo
 share/locale/gu/LC_MESSAGES/kapman.mo
+share/locale/he/LC_MESSAGES/kapman.mo
 share/locale/hi/LC_MESSAGES/kapman.mo
 share/locale/hr/LC_MESSAGES/kapman.mo
 share/locale/hu/LC_MESSAGES/kapman.mo
+share/locale/ia/LC_MESSAGES/kapman.mo
 share/locale/id/LC_MESSAGES/kapman.mo
 share/locale/is/LC_MESSAGES/kapman.mo
 share/locale/it/LC_MESSAGES/kapman.mo
diff --git a/games/katomic/Makefile b/games/katomic/Makefile
index 7a7a9be57401..2622ca0f31bb 100644
--- a/games/katomic/Makefile
+++ b/games/katomic/Makefile
@@ -5,15 +5,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/katomic/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 \
-		shebangfix tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	attica auth codecs config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n iconthemes itemviews kio \
-		libkdegames newstuff notifyconfig service widgetsaddons xmlgui \
+		dbusaddons guiaddons i18n iconthemes itemviews kio libkdegames \
+		newstuff notifyconfig service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
-SHEBANG_FILES=	src/katomic-levelset-upd.pl
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/katomic/distinfo b/games/katomic/distinfo
index ec506cd0de94..9fb8772477af 100644
--- a/games/katomic/distinfo
+++ b/games/katomic/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889402
-SHA256 (KDE/release-service/23.08.5/katomic-23.08.5.tar.xz) = 0db2db3d1ab4e69e5ae0223001792615af12a3c2a37ca8c1cfef373fc741ac42
-SIZE (KDE/release-service/23.08.5/katomic-23.08.5.tar.xz) = 1454392
+TIMESTAMP = 1734460123
+SHA256 (KDE/release-service/24.12.0/katomic-24.12.0.tar.xz) = 38f8158bd5c858caad42a4be5f6509f8b67a6006ab4a8fb45b271e646b4b7781
+SIZE (KDE/release-service/24.12.0/katomic-24.12.0.tar.xz) = 1448016
diff --git a/games/katomic/pkg-plist b/games/katomic/pkg-plist
index a3bba32d3e2b..6d3c40a66b73 100644
--- a/games/katomic/pkg-plist
+++ b/games/katomic/pkg-plist
@@ -7,12 +7,11 @@ share/icons/hicolor/32x32/apps/katomic.png
 share/icons/hicolor/48x48/apps/katomic.png
 share/icons/hicolor/64x64/apps/katomic.png
 %%DATADIR%%/levels/default_levels.dat
-%%DATADIR%%/pics/default_theme.svgz
-share/kconf_update/katomic-levelset-upd.pl
-share/kconf_update/katomic-levelset.upd
+%%DATADIR%%/themes/default.svgz
 share/knsrcfiles/katomic.knsrc
 share/locale/af/LC_MESSAGES/katomic.mo
 share/locale/ar/LC_MESSAGES/katomic.mo
+share/locale/ast/LC_MESSAGES/katomic.mo
 share/locale/be/LC_MESSAGES/katomic.mo
 share/locale/bg/LC_MESSAGES/katomic.mo
 share/locale/bn/LC_MESSAGES/katomic.mo
@@ -40,6 +39,7 @@ share/locale/hi/LC_MESSAGES/katomic.mo
 share/locale/hne/LC_MESSAGES/katomic.mo
 share/locale/hr/LC_MESSAGES/katomic.mo
 share/locale/hu/LC_MESSAGES/katomic.mo
+share/locale/ia/LC_MESSAGES/katomic.mo
 share/locale/id/LC_MESSAGES/katomic.mo
 share/locale/is/LC_MESSAGES/katomic.mo
 share/locale/it/LC_MESSAGES/katomic.mo
@@ -88,4 +88,5 @@ share/locale/xh/LC_MESSAGES/katomic.mo
 share/locale/zh_CN/LC_MESSAGES/katomic.mo
 share/locale/zh_TW/LC_MESSAGES/katomic.mo
 share/metainfo/org.kde.katomic.appdata.xml
-share/qlogging-categories5/katomic.categories
+share/qlogging-categories6/katomic.categories
+share/qlogging-categories6/katomic.renamecategories
diff --git a/games/kblackbox/Makefile b/games/kblackbox/Makefile
index ac03c0e8a76c..64008cee59b0 100644
--- a/games/kblackbox/Makefile
+++ b/games/kblackbox/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kblackbox
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	archive auth codecs config configwidgets coreaddons crash \
 		dbusaddons guiaddons i18n iconthemes libkdegames sonnet \
 		textwidgets widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kblackbox/distinfo b/games/kblackbox/distinfo
index 4a3d80a21db6..0d723cbd7dc9 100644
--- a/games/kblackbox/distinfo
+++ b/games/kblackbox/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889386
-SHA256 (KDE/release-service/23.08.5/kblackbox-23.08.5.tar.xz) = 00082e57480bcb943f477072559373a3a98b6557f06a83a088d71912c2432159
-SIZE (KDE/release-service/23.08.5/kblackbox-23.08.5.tar.xz) = 556816
+TIMESTAMP = 1734460125
+SHA256 (KDE/release-service/24.12.0/kblackbox-24.12.0.tar.xz) = c8ba44eae08ad150bad718adc7a17c4f918edf2ed8dc5c933ae6b7540261f8a0
+SIZE (KDE/release-service/24.12.0/kblackbox-24.12.0.tar.xz) = 550984
diff --git a/games/kblackbox/pkg-plist b/games/kblackbox/pkg-plist
index baa9da2e471c..cca7196c49ea 100644
--- a/games/kblackbox/pkg-plist
+++ b/games/kblackbox/pkg-plist
@@ -6,9 +6,10 @@ share/icons/hicolor/22x22/apps/kblackbox.png
 share/icons/hicolor/32x32/apps/kblackbox.png
 share/icons/hicolor/48x48/apps/kblackbox.png
 share/icons/hicolor/64x64/apps/kblackbox.png
-%%DATADIR%%/pics/kblackbox.svgz
+%%DATADIR%%/themes/default.svgz
 share/locale/af/LC_MESSAGES/kblackbox.mo
 share/locale/ar/LC_MESSAGES/kblackbox.mo
+share/locale/ast/LC_MESSAGES/kblackbox.mo
 share/locale/be/LC_MESSAGES/kblackbox.mo
 share/locale/bg/LC_MESSAGES/kblackbox.mo
 share/locale/bn/LC_MESSAGES/kblackbox.mo
@@ -36,6 +37,7 @@ share/locale/hi/LC_MESSAGES/kblackbox.mo
 share/locale/hne/LC_MESSAGES/kblackbox.mo
 share/locale/hr/LC_MESSAGES/kblackbox.mo
 share/locale/hu/LC_MESSAGES/kblackbox.mo
+share/locale/ia/LC_MESSAGES/kblackbox.mo
 share/locale/id/LC_MESSAGES/kblackbox.mo
 share/locale/is/LC_MESSAGES/kblackbox.mo
 share/locale/it/LC_MESSAGES/kblackbox.mo
diff --git a/games/kblocks/Makefile b/games/kblocks/Makefile
index e15d637308d2..02550f59ab46 100644
--- a/games/kblocks/Makefile
+++ b/games/kblocks/Makefile
@@ -6,14 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kblocks/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
 		dbusaddons i18n itemmodels kio libkdegames newstuff \
-		notifyconfig phonon textwidgets widgetsaddons windowsystem xmlgui \
+		notifyconfig phonon textwidgets widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg testlib widgets \
-		xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kblocks/distinfo b/games/kblocks/distinfo
index 321bb2814042..46e771a27a5f 100644
--- a/games/kblocks/distinfo
+++ b/games/kblocks/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889385
-SHA256 (KDE/release-service/23.08.5/kblocks-23.08.5.tar.xz) = 8f4997683e1bbe551bf1b5e63565d83c5d8dd36b90a802d052f37626b56faa27
-SIZE (KDE/release-service/23.08.5/kblocks-23.08.5.tar.xz) = 2109492
+TIMESTAMP = 1734460127
+SHA256 (KDE/release-service/24.12.0/kblocks-24.12.0.tar.xz) = 266d1876499ce9523c17fada715b12b8204de5630921fff89246fc9d49d461a0
+SIZE (KDE/release-service/24.12.0/kblocks-24.12.0.tar.xz) = 2102608
diff --git a/games/kblocks/pkg-plist b/games/kblocks/pkg-plist
index 90fff70ea5bd..af3b00d31fa4 100644
--- a/games/kblocks/pkg-plist
+++ b/games/kblocks/pkg-plist
@@ -20,6 +20,7 @@ share/icons/hicolor/64x64/apps/kblocks.png
 %%DATADIR%%/themes/oxygen_preview.png
 share/knsrcfiles/kblocks.knsrc
 share/locale/ar/LC_MESSAGES/kblocks.mo
+share/locale/ast/LC_MESSAGES/kblocks.mo
 share/locale/bg/LC_MESSAGES/kblocks.mo
 share/locale/bs/LC_MESSAGES/kblocks.mo
 share/locale/ca/LC_MESSAGES/kblocks.mo
@@ -38,9 +39,11 @@ share/locale/fr/LC_MESSAGES/kblocks.mo
 share/locale/ga/LC_MESSAGES/kblocks.mo
 share/locale/gl/LC_MESSAGES/kblocks.mo
 share/locale/gu/LC_MESSAGES/kblocks.mo
+share/locale/he/LC_MESSAGES/kblocks.mo
 share/locale/hi/LC_MESSAGES/kblocks.mo
 share/locale/hr/LC_MESSAGES/kblocks.mo
 share/locale/hu/LC_MESSAGES/kblocks.mo
+share/locale/ia/LC_MESSAGES/kblocks.mo
 share/locale/id/LC_MESSAGES/kblocks.mo
 share/locale/is/LC_MESSAGES/kblocks.mo
 share/locale/it/LC_MESSAGES/kblocks.mo
@@ -78,4 +81,5 @@ share/locale/uk/LC_MESSAGES/kblocks.mo
 share/locale/zh_CN/LC_MESSAGES/kblocks.mo
 share/locale/zh_TW/LC_MESSAGES/kblocks.mo
 share/metainfo/org.kde.kblocks.appdata.xml
-share/qlogging-categories5/kblocks.categories
+share/qlogging-categories6/kblocks.categories
+share/qlogging-categories6/kblocks.renamecategories
diff --git a/games/kbounce/Makefile b/games/kbounce/Makefile
index f04dba1aa7e0..9483c11ef471 100644
--- a/games/kbounce/Makefile
+++ b/games/kbounce/Makefile
@@ -6,15 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kbounce/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
 		dbusaddons guiaddons i18n iconthemes jobwidgets kio \
-		libkdegames notifyconfig phonon service solid textwidgets widgetsaddons \
-		windowsystem xmlgui \
+		libkdegames notifyconfig phonon service solid textwidgets \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg \
-		testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kbounce/distinfo b/games/kbounce/distinfo
index 8f8d099c1767..2f7dfb3d5f81 100644
--- a/games/kbounce/distinfo
+++ b/games/kbounce/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889397
-SHA256 (KDE/release-service/23.08.5/kbounce-23.08.5.tar.xz) = f101c0bbf6ad2250b436473aaf8f65ea64512d792a69df10917cfcb940f0acfb
-SIZE (KDE/release-service/23.08.5/kbounce-23.08.5.tar.xz) = 3545492
+TIMESTAMP = 1734460129
+SHA256 (KDE/release-service/24.12.0/kbounce-24.12.0.tar.xz) = d24983bed5a9456c638ae51a07d452dcb6fa693f47a7101dc9597d1b42660853
+SIZE (KDE/release-service/24.12.0/kbounce-24.12.0.tar.xz) = 3322648
diff --git a/games/kbounce/pkg-plist b/games/kbounce/pkg-plist
index 744f22c06513..731d3007d18a 100644
--- a/games/kbounce/pkg-plist
+++ b/games/kbounce/pkg-plist
@@ -17,7 +17,7 @@ share/icons/hicolor/64x64/apps/kbounce.png
 %%DATADIR%%/themes/egyptian_bounce.svgz
 %%DATADIR%%/themes/geometry.desktop
 %%DATADIR%%/themes/geometry.png
-%%DATADIR%%/themes/kbounce.svg
+%%DATADIR%%/themes/kbounce.svgz
 %%DATADIR%%/themes/oxygen.desktop
 %%DATADIR%%/themes/oxygen.png
 %%DATADIR%%/themes/oxygen.svgz
@@ -29,6 +29,7 @@ share/icons/hicolor/64x64/apps/kbounce.png
 %%DATADIR%%/themes/thebeach_preview.png
 share/locale/af/LC_MESSAGES/kbounce.mo
 share/locale/ar/LC_MESSAGES/kbounce.mo
+share/locale/ast/LC_MESSAGES/kbounce.mo
 share/locale/be/LC_MESSAGES/kbounce.mo
 share/locale/bg/LC_MESSAGES/kbounce.mo
 share/locale/bn/LC_MESSAGES/kbounce.mo
@@ -57,6 +58,7 @@ share/locale/hi/LC_MESSAGES/kbounce.mo
 share/locale/hne/LC_MESSAGES/kbounce.mo
 share/locale/hr/LC_MESSAGES/kbounce.mo
 share/locale/hu/LC_MESSAGES/kbounce.mo
+share/locale/ia/LC_MESSAGES/kbounce.mo
 share/locale/id/LC_MESSAGES/kbounce.mo
 share/locale/is/LC_MESSAGES/kbounce.mo
 share/locale/it/LC_MESSAGES/kbounce.mo
@@ -105,4 +107,5 @@ share/locale/xh/LC_MESSAGES/kbounce.mo
 share/locale/zh_CN/LC_MESSAGES/kbounce.mo
 share/locale/zh_TW/LC_MESSAGES/kbounce.mo
 share/metainfo/org.kde.kbounce.appdata.xml
-share/qlogging-categories5/kbounce.categories
+share/qlogging-categories6/kbounce.categories
+share/qlogging-categories6/kbounce.renamecategories
diff --git a/games/kbreakout/Makefile b/games/kbreakout/Makefile
index fbfca9e069e7..08ce3ad59f72 100644
--- a/games/kbreakout/Makefile
+++ b/games/kbreakout/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kbreakout/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n iconthemes jobwidgets kio libkdegames \
-		service widgetsaddons xmlgui \
+		dbusaddons guiaddons i18n iconthemes jobwidgets kio \
+		libkdegames service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kbreakout/distinfo b/games/kbreakout/distinfo
index 84136693cfe7..0662f1177413 100644
--- a/games/kbreakout/distinfo
+++ b/games/kbreakout/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889379
-SHA256 (KDE/release-service/23.08.5/kbreakout-23.08.5.tar.xz) = d02f386b08e38f8519103e2757fa602b1316d90554f73fd73829e5bb3666af48
-SIZE (KDE/release-service/23.08.5/kbreakout-23.08.5.tar.xz) = 2561604
+TIMESTAMP = 1734460131
+SHA256 (KDE/release-service/24.12.0/kbreakout-24.12.0.tar.xz) = 09f476eaf57a194e668283de40fdab20251cc6e1898b257647d62b970c6b8d07
+SIZE (KDE/release-service/24.12.0/kbreakout-24.12.0.tar.xz) = 2555924
diff --git a/games/kbreakout/pkg-plist b/games/kbreakout/pkg-plist
index 0782ec7f76f9..3589944ad9b1 100644
--- a/games/kbreakout/pkg-plist
+++ b/games/kbreakout/pkg-plist
@@ -37,6 +37,7 @@ share/icons/hicolor/scalable/apps/kbreakout.svg
 %%DATADIR%%/themes/web20.svgz
 %%DATADIR%%/themes/web20_preview.png
 share/locale/ar/LC_MESSAGES/kbreakout.mo
+share/locale/ast/LC_MESSAGES/kbreakout.mo
 share/locale/bg/LC_MESSAGES/kbreakout.mo
 share/locale/bs/LC_MESSAGES/kbreakout.mo
 share/locale/ca/LC_MESSAGES/kbreakout.mo
@@ -55,8 +56,10 @@ share/locale/fr/LC_MESSAGES/kbreakout.mo
 share/locale/ga/LC_MESSAGES/kbreakout.mo
 share/locale/gl/LC_MESSAGES/kbreakout.mo
 share/locale/gu/LC_MESSAGES/kbreakout.mo
+share/locale/he/LC_MESSAGES/kbreakout.mo
 share/locale/hr/LC_MESSAGES/kbreakout.mo
 share/locale/hu/LC_MESSAGES/kbreakout.mo
+share/locale/ia/LC_MESSAGES/kbreakout.mo
 share/locale/id/LC_MESSAGES/kbreakout.mo
 share/locale/is/LC_MESSAGES/kbreakout.mo
 share/locale/it/LC_MESSAGES/kbreakout.mo
@@ -95,4 +98,4 @@ share/locale/wa/LC_MESSAGES/kbreakout.mo
 share/locale/zh_CN/LC_MESSAGES/kbreakout.mo
 share/locale/zh_TW/LC_MESSAGES/kbreakout.mo
 share/metainfo/org.kde.kbreakout.appdata.xml
-share/qlogging-categories5/kbreakout.categories
+share/qlogging-categories6/kbreakout.categories
diff --git a/games/kdegames/Makefile b/games/kdegames/Makefile
index a4e5deefb989..e8c76bd7a187 100644
--- a/games/kdegames/Makefile
+++ b/games/kdegames/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdegames
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	games kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Games for KDE (meta port)
 WWW=		https://www.kde.org/applications/games/
 
-USES=		kde:5 metaport
+USES=		kde:6 metaport
 
 OPTIONS_DEFINE=	ALL ${KDE_GAMES_ALL}
 OPTIONS_DEFAULT=	ALL
diff --git a/games/kdiamond/Makefile b/games/kdiamond/Makefile
index 4ae632790c50..efac7e011a23 100644
--- a/games/kdiamond/Makefile
+++ b/games/kdiamond/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kdiamond/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
-		doctools guiaddons i18n iconthemes libkdegames \
-		notifications notifyconfig widgetsaddons xmlgui \
+		doctools guiaddons i18n iconthemes libkdegames notifications \
+		notifyconfig widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kdiamond/distinfo b/games/kdiamond/distinfo
index 8987201d3279..da474608ccaf 100644
--- a/games/kdiamond/distinfo
+++ b/games/kdiamond/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889380
-SHA256 (KDE/release-service/23.08.5/kdiamond-23.08.5.tar.xz) = 31bfdcbe64c8d7210837f69ac294a895dc434a5ca115fa488d191801727972a6
-SIZE (KDE/release-service/23.08.5/kdiamond-23.08.5.tar.xz) = 4710560
+TIMESTAMP = 1734460133
+SHA256 (KDE/release-service/24.12.0/kdiamond-24.12.0.tar.xz) = 1dcc8ac08162c2994c2215eeb5e7bec28c1bf7da52f0e3b6e9c08ef35808960d
+SIZE (KDE/release-service/24.12.0/kdiamond-24.12.0.tar.xz) = 4672644
diff --git a/games/kdiamond/pkg-plist b/games/kdiamond/pkg-plist
index 3ff7f1f277e2..c6a519aa9a84 100644
--- a/games/kdiamond/pkg-plist
+++ b/games/kdiamond/pkg-plist
@@ -16,9 +16,10 @@ share/icons/hicolor/64x64/apps/kdiamond.png
 %%DATADIR%%/themes/funny_zoo.desktop
 %%DATADIR%%/themes/funny_zoo.png
 %%DATADIR%%/themes/funny_zoo.svgz
-share/knotifications5/kdiamond.notifyrc
+share/knotifications6/kdiamond.notifyrc
 share/knsrcfiles/kdiamond.knsrc
 share/locale/ar/LC_MESSAGES/kdiamond.mo
+share/locale/ast/LC_MESSAGES/kdiamond.mo
 share/locale/bg/LC_MESSAGES/kdiamond.mo
 share/locale/bs/LC_MESSAGES/kdiamond.mo
 share/locale/ca/LC_MESSAGES/kdiamond.mo
@@ -37,10 +38,12 @@ share/locale/fr/LC_MESSAGES/kdiamond.mo
 share/locale/ga/LC_MESSAGES/kdiamond.mo
 share/locale/gl/LC_MESSAGES/kdiamond.mo
 share/locale/gu/LC_MESSAGES/kdiamond.mo
+share/locale/he/LC_MESSAGES/kdiamond.mo
 share/locale/hi/LC_MESSAGES/kdiamond.mo
 share/locale/hne/LC_MESSAGES/kdiamond.mo
 share/locale/hr/LC_MESSAGES/kdiamond.mo
 share/locale/hu/LC_MESSAGES/kdiamond.mo
+share/locale/ia/LC_MESSAGES/kdiamond.mo
 share/locale/id/LC_MESSAGES/kdiamond.mo
 share/locale/is/LC_MESSAGES/kdiamond.mo
 share/locale/it/LC_MESSAGES/kdiamond.mo
diff --git a/games/kfourinline/Makefile b/games/kfourinline/Makefile
index 14ac7ac7c816..dbd665a70b83 100644
--- a/games/kfourinline/Makefile
+++ b/games/kfourinline/Makefile
@@ -6,14 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kfourinline/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
 		dbusaddons dnssd i18n iconthemes itemmodels itemviews \
-		kdeclarative kdelibs4support kio libkdegames notifyconfig \
-		widgetsaddons xmlgui \
+		kdeclarative kio libkdegames notifyconfig widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kfourinline/distinfo b/games/kfourinline/distinfo
index a3ae61b0073d..15bfbc10fc79 100644
--- a/games/kfourinline/distinfo
+++ b/games/kfourinline/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889405
-SHA256 (KDE/release-service/23.08.5/kfourinline-23.08.5.tar.xz) = 6d08110ab4af50f96bf996f5baf7f863736d0696024bfe27a0ed4a532fcbd7ba
-SIZE (KDE/release-service/23.08.5/kfourinline-23.08.5.tar.xz) = 741372
+TIMESTAMP = 1734460135
+SHA256 (KDE/release-service/24.12.0/kfourinline-24.12.0.tar.xz) = 1e2ed965e8f430abeee2362f5eab5d9d29b89dd3e0c2e2eaa72c63e6e549115e
+SIZE (KDE/release-service/24.12.0/kfourinline-24.12.0.tar.xz) = 746016
diff --git a/games/kfourinline/pkg-plist b/games/kfourinline/pkg-plist
index 889df19c1a23..fe8d19f94ec3 100644
--- a/games/kfourinline/pkg-plist
+++ b/games/kfourinline/pkg-plist
@@ -8,19 +8,20 @@ share/icons/hicolor/22x22/apps/kfourinline.png
 share/icons/hicolor/32x32/apps/kfourinline.png
 share/icons/hicolor/48x48/apps/kfourinline.png
 share/icons/hicolor/64x64/apps/kfourinline.png
-%%DATADIR%%/grafix/default.desktop
-%%DATADIR%%/grafix/default.rc
-%%DATADIR%%/grafix/default.svg
-%%DATADIR%%/grafix/gray_reflection.desktop
-%%DATADIR%%/grafix/gray_reflection.rc
-%%DATADIR%%/grafix/gray_reflection.svg
-%%DATADIR%%/grafix/yellow.desktop
-%%DATADIR%%/grafix/yellow.rc
-%%DATADIR%%/grafix/yellow.svg
-%%DATADIR%%/grafix/yellow_reflection.desktop
-%%DATADIR%%/grafix/yellow_reflection.rc
+%%DATADIR%%/themes/default.desktop
+%%DATADIR%%/themes/default.rc
+%%DATADIR%%/themes/default.svgz
+%%DATADIR%%/themes/gray_reflection.desktop
+%%DATADIR%%/themes/gray_reflection.rc
+%%DATADIR%%/themes/gray_reflection.svgz
+%%DATADIR%%/themes/yellow.desktop
+%%DATADIR%%/themes/yellow.rc
+%%DATADIR%%/themes/yellow.svgz
+%%DATADIR%%/themes/yellow_reflection.desktop
+%%DATADIR%%/themes/yellow_reflection.rc
 share/locale/af/LC_MESSAGES/kfourinline.mo
 share/locale/ar/LC_MESSAGES/kfourinline.mo
+share/locale/ast/LC_MESSAGES/kfourinline.mo
 share/locale/be/LC_MESSAGES/kfourinline.mo
 share/locale/bg/LC_MESSAGES/kfourinline.mo
 share/locale/br/LC_MESSAGES/kfourinline.mo
@@ -45,6 +46,7 @@ share/locale/gl/LC_MESSAGES/kfourinline.mo
 share/locale/he/LC_MESSAGES/kfourinline.mo
 share/locale/hr/LC_MESSAGES/kfourinline.mo
 share/locale/hu/LC_MESSAGES/kfourinline.mo
+share/locale/ia/LC_MESSAGES/kfourinline.mo
 share/locale/id/LC_MESSAGES/kfourinline.mo
 share/locale/is/LC_MESSAGES/kfourinline.mo
 share/locale/it/LC_MESSAGES/kfourinline.mo
@@ -89,4 +91,5 @@ share/locale/xh/LC_MESSAGES/kfourinline.mo
 share/locale/zh_CN/LC_MESSAGES/kfourinline.mo
 share/locale/zh_TW/LC_MESSAGES/kfourinline.mo
 share/metainfo/org.kde.kfourinline.appdata.xml
-share/qlogging-categories5/kfourinline.categories
+share/qlogging-categories6/kfourinline.categories
+share/qlogging-categories6/kfourinline.renamecategories
diff --git a/games/kgoldrunner/Makefile b/games/kgoldrunner/Makefile
index 836d89294d15..33c5bd8bca11 100644
--- a/games/kgoldrunner/Makefile
+++ b/games/kgoldrunner/Makefile
@@ -6,13 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kgoldrunner/
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		crash dbusaddons i18n kio libkdegames service \
-		widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
+		dbusaddons i18n kio libkdegames service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kgoldrunner/distinfo b/games/kgoldrunner/distinfo
index c177664050cd..dd442a28da39 100644
--- a/games/kgoldrunner/distinfo
+++ b/games/kgoldrunner/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889406
-SHA256 (KDE/release-service/23.08.5/kgoldrunner-23.08.5.tar.xz) = ec621250b3ac510ce1a752cc405ee6ff38a7e832cbaf05fd30a31581be005b0c
-SIZE (KDE/release-service/23.08.5/kgoldrunner-23.08.5.tar.xz) = 4981040
+TIMESTAMP = 1734460137
+SHA256 (KDE/release-service/24.12.0/kgoldrunner-24.12.0.tar.xz) = 0e6d3ee6402a130c4d58fa012cf9c8de0caf463e4b7deaf12e9a6462b48b050e
+SIZE (KDE/release-service/24.12.0/kgoldrunner-24.12.0.tar.xz) = 4343972
diff --git a/games/kgoldrunner/pkg-plist b/games/kgoldrunner/pkg-plist
index 0db78c333be2..a8ecf00f8b7e 100644
--- a/games/kgoldrunner/pkg-plist
+++ b/games/kgoldrunner/pkg-plist
@@ -75,6 +75,7 @@ share/icons/hicolor/64x64/apps/kgoldrunner.png
 %%DATADIR%%/themes/nostalgia/set.svgz
 share/knsrcfiles/kgoldrunner.knsrc
 share/locale/ar/LC_MESSAGES/kgoldrunner.mo
+share/locale/ast/LC_MESSAGES/kgoldrunner.mo
 share/locale/be/LC_MESSAGES/kgoldrunner.mo
 share/locale/bg/LC_MESSAGES/kgoldrunner.mo
 share/locale/bn/LC_MESSAGES/kgoldrunner.mo
@@ -101,6 +102,7 @@ share/locale/hi/LC_MESSAGES/kgoldrunner.mo
 share/locale/hne/LC_MESSAGES/kgoldrunner.mo
 share/locale/hr/LC_MESSAGES/kgoldrunner.mo
 share/locale/hu/LC_MESSAGES/kgoldrunner.mo
+share/locale/ia/LC_MESSAGES/kgoldrunner.mo
 share/locale/id/LC_MESSAGES/kgoldrunner.mo
 share/locale/is/LC_MESSAGES/kgoldrunner.mo
 share/locale/it/LC_MESSAGES/kgoldrunner.mo
@@ -145,4 +147,5 @@ share/locale/uk/LC_MESSAGES/kgoldrunner.mo
 share/locale/zh_CN/LC_MESSAGES/kgoldrunner.mo
 share/locale/zh_TW/LC_MESSAGES/kgoldrunner.mo
 share/metainfo/org.kde.kgoldrunner.appdata.xml
-share/qlogging-categories5/kgoldrunner.categories
+share/qlogging-categories6/kgoldrunner.categories
+share/qlogging-categories6/kgoldrunner.renamecategories
